[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.BeginDrag

BeginDrag - starts the dragging of a control. In this version BringToFront applies

## Declaration

Source position: controls.pp line 1313

`public procedure TControl.BeginDrag(`
`Immediate: Boolean;`
`Threshold: Integer = -1`
`);`

## Arguments

`Immediate` |  | If False, start drag only after the cursor has moved.
`Threshold` |  | Minimum movement of cursor before dragging starts (in pixels); ignored if Immediate=True.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .